| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Gr3d.VtkFormPlain Class Reference

Windows form for presenting VTK graphics. More...

Inheritance diagram for IG.Gr3d.VtkFormPlain:
[legend]
Collaboration diagram for IG.Gr3d.VtkFormPlain:
[legend]

## Public Member Functions
| VtkFormPlain ()
void | ShowManipulator ()
Public Member Functions inherited from IG.Forms.IClosableFromContainedForm
void | Close ()

## Static Public Attributes
static bool | DefaultIsManipulatorControlsButtonVisible = true

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
bool | _isManipulatorControlsButtonVisible = DefaultIsManipulatorControlsButtonVisible
Graph3dManipulatorWindowExtended | _manipulatorWindow

## Properties
bool | IsManipulatorControlsButtonVisible`[get, set]`
| Specifies whether the button that launches manipulator controls is visible or not. More...
VtkControlBase | VtkControl`[get]`
| Gets the control of type VtkControlBase through which VTK functionality is controlled. More...
Kitware.VTK.RenderWindowControl | VtkRenderWindowControl`[get]`
| VTK's control that is actually used for rendering graphics and through which VTK can be interacted directly. More...
Graph3dManipulatorWindowExtended | ManipulatorWindow`[get]`
| Window that shows information about the software. More...
Properties inherited from IG.Gr3d.IVtkFormContainerGen< VtkControlType >
VtkControlBase | VtkControl`[get]`
| Base windows forms control through which the basic VTK functionality and all additional features can be accessed. More...
VtkControlType | VtkRenderWindowControl`[get]`
| VTK's control that is actually used for rendering graphics and through which VTK can be interacted directly. More...

## Private Member Functions
void | VtkFormPlain_HelpEventHandlers (object sender, KeyEventArgs e)
| Used to handle key up events that launch the manipulator window that has controls for rotating 3D graphics, zooming, and others. More...
void | VtkFormPlain_KeyUp (object sender, KeyEventArgs e)
| Key up event. More...
void | btnManipulatorControls_Click (object sender, EventArgs e)
| Opens window with manipulator controls for manipulation of graphics (rotation, etc.). More...
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
VtkControlBase | _vtkControl
Kitware.VTK.RenderWindowControl | _vtkRenderWindowControl
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
VtkControlBase | vtkControlWin1
System.Windows.Forms.Button | btnManipulatorControls

## Detailed Description

Windows form for presenting VTK graphics.

Contains some additional buttons beside just the VTK renderer control.

This is a toplevel form that only contains a control of type VtkControlWin, which handles all VTK related stuff.

$A Igor May13;

## Constructor & Destructor Documentation

IG.Gr3d.VtkFormPlain.VtkFormPlain | ( |  | ) |
| inline

## Member Function Documentation

void IG.Gr3d.VtkFormPlain.ShowManipulator | ( |  | ) |
| inline

void IG.Gr3d.VtkFormPlain.VtkFormPlain_HelpEventHandlers | ( | object | sender,
|  | KeyEventArgs | e
| ) |  |
| inline private

Used to handle key up events that launch the manipulator window that has controls for rotating 3D graphics, zooming, and others.

Parameters

  sender |
  e |

void IG.Gr3d.VtkFormPlain.VtkFormPlain_KeyUp | ( | object | sender,
|  | KeyEventArgs | e
| ) |  |
| inline private

Key up event.

void IG.Gr3d.VtkFormPlain.btnManipulatorControls_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Opens window with manipulator controls for manipulation of graphics (rotation, etc.).

override void IG.Gr3d.VtkFormPlain.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Gr3d.VtkFormPlain.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

bool IG.Gr3d.VtkFormPlain.DefaultIsManipulatorControlsButtonVisible = true
| static

bool IG.Gr3d.VtkFormPlain._isManipulatorControlsButtonVisible = DefaultIsManipulatorControlsButtonVisible
| protected

VtkControlBase IG.Gr3d.VtkFormPlain._vtkControl
| private

Kitware.VTK.RenderWindowControl IG.Gr3d.VtkFormPlain._vtkRenderWindowControl
| private

Graph3dManipulatorWindowExtended IG.Gr3d.VtkFormPlain._manipulatorWindow
| protected

System.ComponentModel.IContainer IG.Gr3d.VtkFormPlain.components = null
| private

Required designer variable.

VtkControlBase IG.Gr3d.VtkFormPlain.vtkControlWin1
| private

System.Windows.Forms.Button IG.Gr3d.VtkFormPlain.btnManipulatorControls
| private

## Property Documentation

bool IG.Gr3d.VtkFormPlain.IsManipulatorControlsButtonVisible
| get set

Specifies whether the button that launches manipulator controls is visible or not.

If true, a small button sows in the bottom-right corner of the VTK plotting area.

VtkControlBase IG.Gr3d.VtkFormPlain.VtkControl
| get

Gets the control of type VtkControlBase through which VTK functionality is controlled.

Kitware.VTK.RenderWindowControl IG.Gr3d.VtkFormPlain.VtkRenderWindowControl
| get

VTK's control that is actually used for rendering graphics and through which VTK can be interacted directly.

Instead of accessing this control directly, you should normally access it through the VtkControlBase.VtkControl property of the VtkControl property.

Graph3dManipulatorWindowExtended IG.Gr3d.VtkFormPlain.ManipulatorWindow
| get

Window that shows information about the software.

Help is also accessible through that window.

The documentation for this class was generated from the following files:

- extensions/igplot3d/plot3d/vtkbased/Forms/VtkFormPlain.cs
- extensions/igplot3d/plot3d/vtkbased/Forms/VtkFormPlain.Designer.cs